org.jgroups.stack

## Interface AckMcastSenderWindow.RetransmitCommand

All Known Implementing Classes:
  SMACK

Enclosing class:
  AckMcastSenderWindow

    public static interface AckMcastSenderWindow.RetransmitCommand

Called by retransmitter thread whenever a message needs to be re-sent to a destination. `dest` has to be set in the `dst` field of `msg`, as the latter was sent multicast, but now we are sending a unicast message. Message has to be copied before sending it (as headers will be appended and therefore the message changed!).

### Method Summary

Methods
`void` `retransmit(long seqno, Message msg, Address dest)` Retranmit the given msg

### Method Detail

#### retransmit

    void retransmit(long seqno,
                  Message msg,
                  Address dest)

Retranmit the given msg

Parameters:
  `seqno` - the sequence number associated with the message
  `msg` - the msg to retransmit (it should be a copy!)
  `dest` - the msg destination